function generateFig2
% m-file to generate the data in Fig 2

% parameters
K = 1e6;
n0 = K*2.^(-3:0.5:1);% initial population sizes, equally spaced on a log-scale
maxT = 1e5;% max length of invasion attempts
tinit = 100;
generate_initial_state(K, tinit, n0) % generates, and saves, initial states {n,e} at n0
dx = -0.02; % mutation change in theta
attempts = 1e5; % number of invasion attempts

% The following loop will generate the data, but will take a *very* long
% time (months, probably) unless run somehow in parallell on a cluster
% See the invP.s script, which was used on the LUNARC cluster
for ni=1:length(n0)
    invasion_P(K, dx, attempts, maxT, n0(ni), 1)
end


