#!/bin/sh

if [ $# -lt 5 ]
then
 echo "parameters: K, n0, dx, iterations, maxT, replicates"
 exit 1
fi

if [ $# -lt 6 ]
then
 replicates=2
else
 replicates=$6
fi

dx=$3
K=$1
n0=$2
iterations=$4
maxT=$5

description="K${K}_n0${n0}_dx${dx}"
echo $description
( date "+%d %h %H:%M:%S"; echo $description ) > invP_$description.txt

iter=1
while [ $iter -le $replicates ]
do

qsub <<EOF
#PBS -l nodes=1
#PBS -l walltime=168:0:0
#PBS -N P_K${K}_n0${n0}_dx${dx}_$iter
#PBS -j oe
#PBS -o soP_${description}_${iter}.txt
cd \$PBS_O_WORKDIR
. use_modules
module add matlab
matlab -r "invasion_P($K,$dx,$iterations,$maxT,$n0,$iter)"
EOF

iter=$(($iter + 1))
done
