function env = startEnvironment(pars, e0, mindt)
SD = sqrt(pars.Ve);

env.dt = 1/pars.gamma/100;
if exist('mindt','var')
    env.dt = max(mindt, env.dt);
end
env.acorr = exp(-env.dt*pars.gamma);
env.sigma = SD*sqrt(1-env.acorr^2);
env.T0 = 0;
env.T1 = env.dt;
if exist('e0','var') && ~isempty(e0)
	env.v0 = e0;
else
	env.v0 = SD*randn; %Stationary initial value
end
env.v1 = env.acorr*env.v0 + env.sigma*randn;
